Binary files ../AmiPhone_1.92/AmiPhone.guide.icon.info and ./AmiPhone.guide.icon.info differ
Binary files ../AmiPhone_1.92/AmiPhoneDrawer.info and ./AmiPhoneDrawer.info differ
Binary files ../AmiPhone_1.92/AmiPhoneIcon.info and ./AmiPhoneIcon.info differ
diff -r -C 2 -P ../AmiPhone_1.92/AmiPhoned.h ./AmiPhoned.h
*** ../AmiPhone_1.92/AmiPhoned.h	Sat Nov 16 23:46:40 1996
--- ./AmiPhoned.h	Sun Feb 15 18:45:41 1998
***************
*** 4,7 ****
--- 4,9 ----
  #define MSG_READY   0x02
  
+ #include <CompilerSpecific.h>
+ 
  int MakeReq(char *sTitle, char *sText, char *sGadgets);
  int SpaceUsedInDir(char * szDirectory);
diff -r -C 2 -P ../AmiPhone_1.92/CompilerSpecific.h ./CompilerSpecific.h
*** ../AmiPhone_1.92/CompilerSpecific.h	Thu Jan  1 01:00:00 1970
--- ./CompilerSpecific.h	Sun Mar  1 02:23:59 1998
***************
*** 0 ****
--- 1,234 ----
+ #ifndef COMPILERSPECIFIC_H
+ #define COMPILERSPECIFIC_H
+ /*
+ **	$VER: CompilerSpecific.h 2.2 (1.10.97)
+ **
+ **	Copyright (C) 1997 Bernardo Innocenti. All rights reserved.
+ **
+ **	Compiler specific definitions is here. You can add support
+ **	for other compilers in this header. Please return any changes
+ **	you make to me, so I can add them to my personal copy of this file.
+ **
+ **	Here is a short description of the macros defined below:
+ **
+ **	LIBCALL
+ **		Shared library entry point, with register args
+ **
+ **	HOOKCALL
+ **		Hook or boopsi dispatcher entry point with arguments
+ **		passed in registers
+ **
+ **	INLINE
+ **		Please put function body inline to the calling code
+ **
+ **	STDARGS
+ **		Function uses standard C conventions for arguments
+ **
+ **	ASMCALL
+ **		Function takes arguments in the specified 68K registers
+ **
+ **	REGCALL
+ **		Function takes arguments in registers choosen by the compiler
+ **
+ **	CONSTCALL
+ **		Function does not modify any global variable
+ **
+ **	FORMATCALL(archetype,string_index,first_to_check)
+ **		Function uses printf or scanf-like formatting
+ **
+ **	SAVEDS
+ **		Function needs to reload context for small data model
+ **
+ **	INTERRUPT
+ **		Function will be called from within an interrupt
+ **
+ **	NORETURN
+ **		Function does never return
+ **
+ **	ALIGNED
+ **		Variable must be aligned to longword boundaries
+ **
+ **	CHIP
+ **		Variable must be stored in CHIP RAM
+ **
+ **	REG(reg,arg)
+ **		Put argument <arg> in 68K register <reg>
+ **
+ **	min(a,b)
+ **		Return the minimum between <a> and <b>
+ **
+ **	max(a,b)
+ **		Return the maximum between <a> and <b>
+ **
+ **	abs(a)
+ **		Return the absolute value of <a>
+ **
+ **	_COMPILED_WITH
+ **		A string containing the name of the compiler
+ */
+ 
+ #ifdef __SASC
+ 	/* SAS/C 6.58 or better */
+ 
+ 	#define INLINE		static __inline
+ 	#define STDARGS		__stdargs
+ 	#define ASMCALL		__asm
+ 	#define REGCALL		__regcall
+ 	#define CONSTCALL	/* unsupported */
+ 	#define FORMATCALL	/* unsupported */
+ 	#define SAVEDS		__saveds
+ 	#define INTERRUPT	__interrupt
+ 	#define NORETURN	/* unsupported */
+ 	#define ALIGNED		__aligned
+ 	#define CHIP		__chip
+ 	#define REG(reg,arg) register __##reg arg
+ 	#define _COMPILED_WITH	"SAS/C"
+ 
+ 	/* For min(), max() and abs() */
+ 	#define USE_BUILTIN_MATH
+ 	#include <string.h>
+ #else
+ #ifdef __GNUC__
+ 	/* GeekGadgets GCC 2.7.2.1 or better */
+ 
+ 	#define INLINE		static inline
+ 	#define STDARGS		__attribute__((stkparm))
+ 	#define ASMCALL		/* nothing */
+ 	#define REGCALL		/* nothing */
+ 	#define CONSTCALL	__attribute__((const))
+ 	#define FORMATCALL(a,s,f)	__attribute__((format(a,s,f)))
+ 	#define SAVEDS		__attribute__((saveds))
+ 	#define INTERRUPT	__attribute__((interrupt))
+ 	#define NORETURN	__attribute__((noreturn))
+ 	#define ALIGNED		__attribute__((aligned(4)))
+ 	#define REG(reg,arg) arg __asm(#reg)
+ 	#define _COMPILED_WITH	"GCC"
+ 
+ 	#define min(a,b)	(((a)<(b))?(a):(b))
+ 	#define max(a,b)	(((a)>(b))?(a):(b))
+ 	#define abs(a)		(((a)>0)?(a):-(a))
+ 
+ 	/* GCC produces code which calls these two functions
+ 	 * to initialize and copy structures and arrays.
+ 	 */
+ 	static inline void __attribute__((stkparm)) bzero (char *buf, int len)
+ 		{ while (len--) *buf++ = 0; }
+ 
+ 	static inline void __attribute__((stkparm)) bcopy (char *src, char *dest, int len)
+ 		{ while (len--) *dest++ = *src++; }
+ 
+ #else
+ #ifdef __STORM__
+ 	/* StormC 2.00.23 or better */
+ 	#define INLINE		__inline
+ 	#define STDARGS		/* nothing */
+ 	#define ASMCALL		/* nothing */
+ 	#define REGCALL		register
+ 	#define CONSTCALL	/* unsupported */
+ 	#define FORMATCALL	/* unsupported */
+ 	#define SAVEDS		__saveds
+ 	#define INTERRUPT	__interrupt
+ 	#define NORETURN	/* unsupported */
+ 	#define ALIGNED		/* unsupported */
+ 	#define CHIP		__chip
+ 	#define REG(reg,arg) register __##reg arg
+ 	#define _COMPILED_WITH	"StormC"
+ 
+ 	#define min(a,b)	(((a)<(b))?(a):(b))
+ 	#define max(a,b)	(((a)>(b))?(a):(b))
+ 	#define abs(a)		(((a)>0)?(a):-(a))
+ 
+ 	#define _INLINE_INCLUDES
+ 	#include <string.h>
+ #else
+ #ifdef __MAXON__
+ 	/* Maxon C/C++ */
+ 
+ 	#define INLINE		static inline
+ 	#define STDARGS		/* ? */
+ 	#define ASMCALL		/* ? */
+ 	#define REGCALL		/* ? */
+ 	#define CONSTCALL	/* unsupported */
+ 	#define FORMATCALL	/* unsupported */
+ 	#define SAVEDS		__saveds
+ 	#define INTERRUPT	__interrupt
+ 	#define NORETURN	/* unsupported */
+ 	#define ALIGNED		__aligned
+ 	#define REG(reg,arg) register __##reg arg
+ 	#define _COMPILED_WITH	"Maxon C"
+ 
+ 	/* For min(), max() and abs() */
+ 	#define USE_BUILTIN_MATH
+ 	#include <string.h>
+ 
+ 	#error Maxon C compiler support is untested. Please check all the above definitions
+ #else
+ #ifdef _DCC
+ 	/* DICE C */
+ 
+ 	#define INLINE		static __inline
+ 	#define STDARGS		__stdargs
+ 	#define ASMCALL		/* nothing */
+ 	#define REGCALL		/* ? */
+ 	#define CONSTCALL	/* unsupported */
+ 	#define FORMATCALL	/* unsupported */
+ 	#define SAVEDS		__geta4
+ 	#define INTERRUPT	/* unsupported */
+ 	#define NORETURN	/* unsupported */
+ 	#define ALIGNED		__aligned
+ 	#define REG(reg,arg)	__##reg arg
+ 	#define _COMPILED_WITH	"DICE"
+ 
+ 	#define min(a,b)	(((a)<(b))?(a):(b))
+ 	#define max(a,b)	(((a)>(b))?(a):(b))
+ 	#define abs(a)		(((a)>0)?(a):-(a))
+ 
+ 	#error DICE compiler support is untested. Please check all the above definitions
+ #else
+ #ifdef AZTEC_C
+ 	/* Aztec/Manx C */
+ 
+ 	#define INLINE		static
+ 	#define STDARGS		/* ? */
+ 	#define ASMCALL		/* ? */
+ 	#define REGCALL		/* ? */
+ 	#define CONSTCALL	/* unsupported */
+ 	#define FORMATCALL	/* unsupported */
+ 	#define SAVEDS		__geta4
+ 	#define INTERRUPT	/* unsupported */
+ 	#define NORETURN	/* unsupported */
+ 	#define ALIGNED		__aligned
+ 	#define REG(reg,arg)	__##reg arg
+ 	#define _COMPILED_WITH	"Manx C"
+ 
+ 	#define min(a,b)	(((a)<(b))?(a):(b))
+ 	#define max(a,b)	(((a)>(b))?(a):(b))
+ 	#define abs(a)		(((a)>0)?(a):-(a))
+ 
+ 	#error Aztec/Manx C compiler support is untested. Please check all the above definitions
+ #else
+ 	#error Please add compiler specific definitions for your compiler
+ #endif
+ #endif
+ #endif
+ #endif
+ #endif
+ #endif
+ 
+ 
+ /* Special function attributes */
+ 
+ #define LIBCALL		ASMCALL SAVEDS
+ #define HOOKCALL	ASMCALL SAVEDS
+ 
+ 
+ /* AROS Compatibility: IPTR is a type which can store a pointer
+  * as well as a long integer.
+  */
+ #ifndef IPTR
+ #define IPTR LONG
+ #endif /* IPTR */
+ 
+ 
+ 
+ #endif /* !COMPILERSPECIFIC_H */
diff -r -C 2 -P ../AmiPhone_1.92/EditTextFile.rexx ./EditTextFile.rexx
*** ../AmiPhone_1.92/EditTextFile.rexx	Thu Jan  1 01:00:00 1970
--- ./EditTextFile.rexx	Sun Jul  7 20:43:18 1996
***************
*** 0 ****
--- 1,141 ----
+ /* 
+    EditTextFile.rexx v1.1 by Jeremy Friesner
+ 
+    An ARexx script to cleanly modify text config
+    lines.  Any line beginning with sReplaceMe in 
+    the File fModifyMe will be replaced with the line sWithMe.
+    
+    If no such thing as sReplaceMe is found in the
+    file, then sWithMe will be added to the end of
+    the file. 
+ 
+    This script should never lose the original file:
+    the first thing it does it rename the file to
+    filename.bak and then reconstructs the modified
+    version at the original file name by reading the
+    .bak file.  If an error occurs, it will restore
+    filename.bak back to the original filename.
+    
+    Any ^ signs in the sReplaceMe or sWithMe args will
+    be turned into space characters.  (Although sReplaceMe
+    doesn't actually need these, because it's the last
+    arg and thus spaces will be included in it anyway.
+    Isn't Rexx argument passing fun?)
+ */
+    
+ parse arg fModifyMe sReplaceMe sWithMe
+ 
+ address COMMAND
+ 
+ sReplaceMe = ChangeToSpaces(sReplaceMe)
+ sWithMe    = strip(ChangeToSpaces(sWithMe))
+ 
+ fBackupFile = fModifyMe || ".bak"
+ say "File to be modified   = [" || fModifyMe || "]"
+ say "Backup file           = [" || fBackupFile || "]"
+ say "String to add/replace = [" || sReplaceMe || "]"
+ say "add/Replace with      = [" || sWithMe || "]"
+ 
+ keylength = length(sReplaceMe)
+ 
+ /* First, make sure rexxsupport.library is available. */
+ call addlib("rexxsupport.library", 0, -30, 0)
+ 
+ /* Delete any .bak file that now exists */
+ call delete(fBackupFile)
+ 
+ /* Rename the original filename to filename.bak */
+ if (rename(fModifyMe, fBackupFile) == 0) then do
+ 	say "Error:  Couldn't rename " || fModifyMe || " to " || fBackupFile
+ 	exit(30)
+ 	end
+ BFileRenamed = 1
+ 	
+ /* Default == haven't found the line we want to replace yet */
+ BFoundOurLine = 0
+ 
+ /* Open the backup file for reading */
+ if (open('oldfile',fBackupFile,'R') == 0) then do
+ 	say "Couldn't open backup file " || fBackupFile
+ 	call error
+ 	end
+ 	
+ /* and the new file for writing */
+ if (open('newfile',fModifyMe,'W') == 0) then do
+ 	say "Couldn't open output file " || fModifyMe
+ 	call error
+ 	end
+ 
+ 
+ /* Scan the old file, writing the new one */
+ do while (EOF('oldfile') == 0)
+  nextline = readln('oldfile')
+  sCheckPart = left(nextline,keylength)
+  
+  if ((BFoundOurLine == 0)&(sCheckPart = sReplaceMe)) then 
+  do
+  	/* don't write out this line... write out our substitute instead! */
+  	say "Found: [" || nextline || "] replacing with [" || sWithMe || "]"
+ 	call writeln('newfile',sWithMe)
+ 	BFoundOurLine = 1
+  end
+  else do
+ 	call writeln('newfile',nextline)
+ 	end
+ end
+ 
+ /* If we never found our line to replace, then just add our
+    line at the end of the file. */
+ if (BFoundOurLine == 0) then call writeln('newfile',sWithMe)
+ 
+ call close('oldfile')
+ call close('newfile')
+ 
+ /* success! */
+ successMessage = "File " || fModifyMe || " successfully modified (" || sReplaceMe || ") -> " || "(" || sWithMe || ")."
+ 
+ say successMessage
+ 
+ /* Show calling app that we succeeded */
+ address COMMAND 'echo ' || successMessage || ' >t:edit_text_succeeded'
+ exit(0)
+ 
+ 
+ /* Changes all occurrences of the character '^' to spaces in the string. 
+    Needed to get around ARexx's lame argument parsing.   I think.
+ */
+ ChangeToSpaces: procedure
+ 	parse arg sOrig
+ 	
+ 	sNew = ""
+ 	do while (length(sOrig) > 0)
+ 		cChar = left(sOrig,1)
+ 		if (cChar == "^") then cChar = " "
+ 		sNew = sNew || cChar
+ 		sOrig = right(sOrig,length(sOrig)-1)
+ 		end
+ 	return sNew
+ 		
+ 		
+ /* Replaces original file if an error occurs */		
+ error:
+ 	say "An error occured!"
+ 	call close('oldfile')
+ 	call close('newfile')
+ 	if (BFileRenamed == 1) then do
+ 		say "Attempting to restore the original file " || fModifyMe
+ 
+ 		/* Delete the incomplete file that now exists */
+ 		call rename(fModifyMe, fModifyMe || ".tobedeleted")
+ 
+ 		/* Rename filename.bak back to filename */
+ 		if (rename(fBackupFile, fModifyMe) == 0) then do
+ 			call rename(fModifyMe || ".tobedeleted", fModifyMe)
+ 			say "Error:  Couldn't rename " || fBackupFile || " to " || fModifyMe || ", aborting now."
+ 			exit(30)
+ 			end
+ 			
+ 		call delete(fModifyMe||".tobedeleted")
+ 		say "Recovery of original file " || fModifyMe || " was successful."
+ 		end
+ 	exit(30)
\ No newline at end of file
